### Class

# GcrUi FailureRenderer

#### Description [src]

    class GcrUi.FailureRenderer : GObject.Object
      implements GcrUi.Renderer {
      /* No available fields */
    }

A renderer that can be used for unsupported data.

#### Ancestors

- GObject

#### Implements

- GcrRenderer

#### Constructors

###### gcr_failure_renderer_new

Create a new renderer for an error.

#### Functions

###### gcr_failure_renderer_new_unsupported

Create a new renderer for unsupported data.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GcrRenderer (5)

###### gcr_renderer_emit_data_changed

Emit the `GcrRenderer::data-changed` signal on the renderer. This is used by renderer implementations.

###### gcr_renderer_get_attributes

Get the PKCS#11 attributes, if any, set for this renderer to display.

###### gcr_renderer_popuplate_popup

Called by `GcrViewer` when about to display a popup menu for the content displayed by the renderer. The renderer can add a menu item if desired.

###### gcr_renderer_render_view

Render the contents of the renderer to the given viewer.

###### gcr_renderer_set_attributes

Set the PKCS#11 attributes for this renderer to display.

#### Properties

###### GcrUi.FailureRenderer:attributes

No description available.

###### GcrUi.FailureRenderer:label

No description available.

##### Properties inherited from GcrRenderer (2)

###### GcrRenderer:attributes

The attributes to display.

###### GcrRenderer:label

The label to display.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GcrRenderer (1)

###### GcrRenderer::data-changed

A signal that is emitted by the renderer when it’s data changed and should be rerendered.

#### Class structure

    struct GcrUiFailureRendererClass {
      /* no available fields */
    }

No description available.